Subject: Re: [PATCH] Fix 8xx compile errors

From: Vitaly Bordug <[email-masked]>
Date: Wed, 5 Dec 2007 04:09:27 +0300

On Mon, 3 Dec 2007 12:58:38 -0800
John Tyner wrote:

> Building for 8xx fails to compile due to errors in a couple of
> places. The first is due to the casting of an lvalue (if I remember
> correctly), and the second was due to the cpmp variable being
> declared static even though the headers previously defined it as
> extern. The following patch corrects these errors. The patch is
> against 2.4 since that's what I'm working with. (I've been unable to
> get 2.6 to run properly on my hardware so far.)
> 
> Please CC me on any responses since I'm not subscribed.
> 
You don't need these quirks with 2.6 and arch/powerpc... It does not use 8xx_io
and arch/powerpc/boot/* having a bit different meaning.

What is your platform btw? Adding something to 8xx camp should not be huge effort with powerpc... 

-- 
Sincerely, Vitaly